com.sun.jna.platform.unix

## Class X11.XColormapEvent

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XColormapEvent

- Enclosing interface:
    X11

      @Structure.FieldOrder(value={"type","serial","send_event","display","window","colormap","c_new","state"})
      public static class X11.XColormapEvent
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `c_new`
    `X11.Colormap` | `colormap`
    `X11.Display` | `display`
    `int` | `send_event`
    `NativeLong` | `serial`
    `int` | `state`
    `int` | `type`
    `X11.Window` | `window`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XColormapEvent()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### serial

          public NativeLong serial

    - #### send_event

          public int send_event

    - #### display

          public X11.Display display

    - #### window

          public X11.Window window

    - #### colormap

          public X11.Colormap colormap

    - #### c_new

          public int c_new

    - #### state

          public int state

  - ### Constructor Detail

    - #### XColormapEvent

          public XColormapEvent()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.